Skip to content
TellMeHow Developers

API documentation

Privacy

Privacy: 23 API operations, with their parameters, body, responses and a curl example.

GET /compliance-documents/{document}/download

Read privacy.compliance-documents.download

Parameters

document path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/compliance-documents/{document}/download" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/compliance-documents

Read privacy.engagements.compliance-documents.index

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/compliance-documents" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/compliance-documents

Write privacy.engagements.compliance-documents.store

Parameters

engagement path
Identifier (ULID).

Body application/json

  • kind object required

    one of cse_note dpia_template processing_agreement classification_note

  • locale string required

    one of en fr

  • engagement_id string | null

    length: exactly 26

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/compliance-documents" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"kind":"cse_note","locale":"en"}'

GET /engagements/{engagement}/deletion-requests

Read privacy.engagements.deletion-requests.index

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deletion-requests" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/deletion-requests

Write privacy.engagements.deletion-requests.store

Parameters

engagement path
Identifier (ULID).

Body application/json

  • participant_id string required

    length: exactly 26

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deletion-requests" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"participant_id":"01JABCDEFGHJKMNPQRSTVWXYZ0"}'

POST /engagements/{engagement}/deletion-requests/{deletion}/execute

Write privacy.engagements.deletion-requests.execute

Parameters

engagement path
Identifier (ULID).
deletion path
Identifier (ULID).

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deletion-requests/{deletion}/execute" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/privacy/participants

Read privacy.engagements.participants

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/privacy/participants" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/raw-access-logs

Read privacy.engagements.raw-access-logs

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/raw-access-logs" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/retention

Read privacy.engagements.retention

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/retention" \
  -H "Authorization: Bearer pat_…"

GET /privacy/engagements

Read privacy.engagements

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/privacy/engagements" \
  -H "Authorization: Bearer pat_…"

GET /privacy/enums/compliance-kinds

Read privacy.enums.compliance-kinds

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/privacy/enums/compliance-kinds" \
  -H "Authorization: Bearer pat_…"

GET /privacy/enums/deletion-statuses

Read privacy.enums.deletion-statuses

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/privacy/enums/deletion-statuses" \
  -H "Authorization: Bearer pat_…"

GET /privacy/enums/purge-kinds

Read privacy.enums.purge-kinds

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/privacy/enums/purge-kinds" \
  -H "Authorization: Bearer pat_…"

GET /privacy/enums/raw-resources

Read privacy.enums.raw-resources

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/privacy/enums/raw-resources" \
  -H "Authorization: Bearer pat_…"

GET /workspace/compliance-documents

Read privacy.workspace.compliance-documents.index

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/compliance-documents" \
  -H "Authorization: Bearer pat_…"

POST /workspace/compliance-documents

Write privacy.workspace.compliance-documents.store

Body application/json

  • kind object required

    one of cse_note dpia_template processing_agreement classification_note

  • locale string required

    one of en fr

  • engagement_id string | null

    length: exactly 26

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/workspace/compliance-documents" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"kind":"cse_note","locale":"en"}'

GET /workspace/deletion-requests

Read privacy.workspace.deletion-requests

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/deletion-requests" \
  -H "Authorization: Bearer pat_…"

GET /workspace/purge-runs

Read privacy.workspace.purge-runs

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/purge-runs" \
  -H "Authorization: Bearer pat_…"

GET /workspace/raw-access-logs

Read privacy.workspace.raw-access-logs

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/raw-access-logs" \
  -H "Authorization: Bearer pat_…"

GET /workspace/retention

Read privacy.workspace.retention

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/retention" \
  -H "Authorization: Bearer pat_…"

GET /workspace/support-grants

Read privacy.workspace.support-grants.index

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/support-grants" \
  -H "Authorization: Bearer pat_…"

GET /workspace/support-grants/operators

Read privacy.workspace.support-grants.operators

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/support-grants/operators" \
  -H "Authorization: Bearer pat_…"

DELETE /workspace/support-grants/{grant}

Write privacy.workspace.support-grants.destroy

Parameters

grant path
Identifier (ULID).

Responses

  • 204 Deleted, no content.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X DELETE "https://{your-workspace}.tellmehow.io/api/v1/workspace/support-grants/{grant}" \
  -H "Authorization: Bearer pat_…"